package com.qs.mp.admin.domain.vo;

import com.qs.mp.admin.domain.Marketing;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 拼团活动详情出参类
 * @author yang.zhao
 */
@ApiModel("拼团活动详情出参类")
@Data
public class GroupBuyingVO extends GroupBuying {

    @ApiModelProperty("奖级列表（后台显示）")
    List<GroupBuyingAwardsVO> awardsList;

}
