package com.qs.mp.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.param.GroupBuyingOrderParam;
import com.qs.mp.admin.domain.vo.GroupBuyingOrder;

import java.util.List;

/**
 * <p>
 * 拼团活动订单信息表 服务类
 * </p>
 *
 * @author yang.zhao
 */
public interface IGroupBuyingOrderService extends IService<GroupBuyingOrder> {

    /**
     * 根据参数查询用户订单信息
     * @param GroupBuyingOrderParam
     * @return
     */
    List<GroupBuyingOrder> selectUserOrder(GroupBuyingOrderParam GroupBuyingOrderParam);

    /**
     * 取消订单
     * @param GroupBuyingOrderParam
     * @return
     */
    String cancelOrderByAdmin(GroupBuyingOrderParam GroupBuyingOrderParam);



}
