package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 我的拼团-进行中出参类
 */
@ApiModel("我的拼团-进行中")
@Data
public class MyGroupBuyingGroupStartVO {

    @ApiModelProperty("拼团ID")
    private Long groupId;

    @ApiModelProperty("拼团活动ID")
    private Long groupBuyingId;

    @ApiModelProperty("参团人数")
    private Integer partinNum;

    @ApiModelProperty("成团人数")
    private Integer groupSize;

    @ApiModelProperty("开奖时间")
    private Date groupEndTime;

    @ApiModelProperty("拼团活动结束时间")
    private Date endTime;

    @ApiModelProperty(value = "活动主图")
    private String picUrl;

    @ApiModelProperty("活动标题")
    private String title;




}
